Update a release label
PATCH/api/v1/workspaces/{workspace_slug}/releases/labels/{label_id}/
Updates an existing release label by setting the values of the parameters passed. Any parameters not provided will be left unchanged. The label name must remain unique per workspace (or per project), otherwise the request fails with a 400 RELEASE_LABEL_NAME_ALREADY_EXISTS error.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
label_id:requiredstringThe unique identifier for the release label.
Body Parameters
name:optionalstringName of the release label.
color:optionalstringHex color code for the label.
sort_order:optionalnumberSort order for the label.
Scopes
releases.labels:write
Update a release label
bash
curl -X PATCH \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/f6a7b8c9-d0e1-2345-fabc-678901234567/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"color": "#DE350B",
"sort_order": 5
}'python
import requests
response = requests.patch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/f6a7b8c9-d0e1-2345-fabc-678901234567/",
headers={"X-API-Key": "your-api-key"},
json={
'color': '#DE350B',
'sort_order': 5
}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/labels/f6a7b8c9-d0e1-2345-fabc-678901234567/",
{
method: "PATCH",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
color: "#DE350B",
sort_order: 5,
}),
},
);
const data = await response.json();Response200
json
{
"id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"name": "Breaking change",
"color": "#DE350B",
"sort_order": 5,
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project": null
}
